/*
 * led-power - io.h
 *
 * Copyright (C) 2017  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifndef IO_H_INCLUDED
#define IO_H_INCLUDED

/* 1000 quants per Volt */
#define V_Q	1000

void io_init(void);

unsigned int vin_get(void);
unsigned int vout_get(void);
void switch_set(unsigned char enabled);

void io_xmit(unsigned char enabled);
void logger(unsigned int vin, unsigned int vout, unsigned int ic,
		unsigned int p, unsigned int temp, unsigned int enabled);

#endif
