/*
 * ar4c-dcdc - jiffies.h
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifndef JIFFIES_H_INCLUDED
#define JIFFIES_H_INCLUDED

#define HZ	61

#ifndef time_after
#define time_after(a, b) \
	((signed char)((signed char)(b) - (signed char)(a)) < 0)
#endif

#ifndef time_after_eq
#define time_after_eq(a, b) \
	((signed char)((signed char)(a) - (signed char)(b)) >= 0)
#endif

extern volatile unsigned char jiffies;

static inline unsigned char get_jiffies(void)
{
	return jiffies;
}

void jiffies_init(void);

void sleep_to(unsigned char t);

#endif
